Loading...
Searching...
No Matches
Ogre::LodData::Vertex Struct Reference

`#include <OgreLodData.h>`

## Public Member Functions

void | addEdge (const Edge &edge)
| Iterator pointing to the position in the mCollapseCostSet, which allows fast remove.
void | removeEdge (const Edge &edge)

## Public Attributes

Vertex * | collapseTo
CollapseCostHeap::iterator | costHeapPosition
VEdges | edges
VLines | lines
Vector3 | normal
Vector3 | position
bool | seam
VTriangles | triangles

## Member Function Documentation

## addEdge()

void Ogre::LodData::Vertex::addEdge | ( | const Edge & | edge | ) |

Iterator pointing to the position in the mCollapseCostSet, which allows fast remove.

## removeEdge()

void Ogre::LodData::Vertex::removeEdge | ( | const Edge & | edge | ) |

## Member Data Documentation

## position

Vector3 Ogre::LodData::Vertex::position

## normal

Vector3 Ogre::LodData::Vertex::normal

## edges

VEdges Ogre::LodData::Vertex::edges

## lines

VLines Ogre::LodData::Vertex::lines

## triangles

VTriangles Ogre::LodData::Vertex::triangles

## collapseTo

Vertex* Ogre::LodData::Vertex::collapseTo

## seam

bool Ogre::LodData::Vertex::seam

## costHeapPosition

CollapseCostHeap::iterator Ogre::LodData::Vertex::costHeapPosition

The documentation for this struct was generated from the following file:

- OgreLodData.h